{ pkgs, config, ... }:
{
  services.liquidsoap.streams.jimscrapped = pkgs.writeText "liquidstream2" ''
    settings.log.stdout.set(true)
    settings.init.allow_root.set(true)
    settings.scheduler.fast_queues.set(2)
    
    jimscrapped = mksafe(playlist(mode='randomize', reload=1, reload_mode="rounds", "/export/JimboNFS/Music/JimScrapped"))
    jimscrapped_fallback = fallback([jimscrapped, jimscrapped])
    
    output.icecast(
      %ffmpeg(format="ogg", %audio(codec="libvorbis", samplerate=48000, b="256k", channels=2)),
      host="127.0.0.1",
      port=265,
      password="${config.secrets.castSourcePass}",
      encoding = "UTF-8",

      radio="Jimbo's Scrap",
      genre = "Scrapped",
      description="Music canned from the main radio.",
      website="https://icecast.${config.domains.jim1}",
      url="https://icecast.${config.domains.jim1}/jimscrapped.opus",
      mount="jimscrapped.opus",
      icy_metadata=["artist", "title"],
      public=true,

      jimscrapped_fallback
    )
  '';
}
